Subject: Package Manager creates new packages at wrong location
Description

(The used OS was Debian Lenny)

Perhaps i did something wrong, but i just followed the instructions of the Welcome package and entered 

./flow3 package create MyPackage

I expected my package somewhere under the Packages subfolder, but it was created at / ( /MyPackage/ ).

If it is works-as-designed please close this bug, but point me to the option where i can control the folder where the package will be
created.

If it is a bug it should be fixed and create a package in the Local subfolder of the Packages subfolder.

Associated revisions
Revision 4d6b11ba - 2009-06-02 10:56 - Karsten Dambekalns
FLOW3:
    -  if no Local path for packages exists, createPackage() now throws an exception, refs #3532

History
#1 - 2009-06-02 00:12 - Karsten Dambekalns

Works here (MacPorts) with latest code (as of now):

kmac:flow3 karsten$ ./flow3 package create MyPackage
./Public/index.php FLOW3 Package Manager create --package-key=MyPackage
New package "MyPackage" created at "/Users/karsten/Sites/flow3/Packages/Local/MyPackage/".
kmac:flow3 karsten$ ls -l
total 32
drwxr-xr-x  6 karsten  staff   408 29 Mai 14:01 Configuration
drwxrwxr-x  7 _www     _www    238 19 Mai 15:21 Data
drwxr-xr-x  5 karsten  staff   204  9 Mär 16:20 Packages
drwxr-xr-x  4 karsten  staff   238 19 Mai 13:22 Public
-rw-rw-r--  1 karsten  staff   105 18 Mär 15:38 README
-rwxr-xr-x@ 1 karsten  staff  4986 31 Mai 11:00 flow3
-rwxr-xr-x@ 1 karsten  staff   920 29 Mai 15:17 setfilepermissions.sh

2015-08-03 1/2



kmac:flow3 karsten$ ls -l Packages/Local/MyPackage/
total 0
drwxrwxrwx  2 karsten  staff   68  2 Jun 00:10 Classes
drwxrwxrwx  2 karsten  staff   68  2 Jun 00:10 Configuration
drwxrwxrwx  2 karsten  staff   68  2 Jun 00:10 Documentation
drwxrwxrwx  2 karsten  staff  102  2 Jun 00:10 Meta
drwxrwxrwx  2 karsten  staff   68  2 Jun 00:10 Resources
drwxrwxrwx  2 karsten  staff   68  2 Jun 00:10 Tests
kmac:flow3 karsten$ 

#2 - 2009-06-02 00:30 - Tim Eilers

I just made a fresh and brandnew checkout (just to be sure) and it did not change, still wrong path.

#3 - 2009-06-02 09:36 - Tim Eilers

I found the Bug:

The package is only created at the right location if there is a "Local" path under "Packages". It isnt there in a distribution check out at the moment.

#4 - 2009-06-02 09:40 - Robert Lemke
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#5 - 2009-06-02 10:56 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Fixed as of r2515 by adding the Local folder.
